Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.logging
Class LogPriority

    java.lang.Object
      org.apache.log4j.Priority
          org.apache.log4j.Level
              com.bea.logging.LogPriority

public class LogPriority
extends org.apache.log4j.Level

Class LogPriority extends org.apache.log4j.Priority for the purpose of wrapping the underlying implementation, and adding the value AUDIT to the default set of priorities

Field Summary
`static int` | `AUDIT_INT`

Fields inherited from class org.apache.log4j.Level
`ALL, DEBUG, ERROR, FATAL, INFO, OFF, WARN`

Fields inherited from class org.apache.log4j.Priority
`ALL_INT, DEBUG_INT, ERROR_INT, FATAL_INT, INFO_INT, OFF_INT, WARN_INT`

Constructor Summary
`protected` | `LogPriority(int level, String strLevel, int syslogEquivalent)` Constructor for the LogPriority class.

Method Summary
`static org.apache.log4j.Level` | `intToLevel(int i)`
`static org.apache.log4j.Priority` | `intToPriority(int i)` Converts an integer into a Priority.
`static org.apache.log4j.Priority` | `strToPriority(String sArg)` Converts a String into a Priority.

Methods inherited from class org.apache.log4j.Level
`toLevel, toLevel, toLevel, toLevel`

Methods inherited from class org.apache.log4j.Priority
`equals, getAllPossiblePriorities, getSyslogEquivalent, isGreaterOrEqual, toInt, toPriority, toPriority, toPriority, toPriority, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUDIT_INT

    public static final int AUDIT_INT

See Also:
  Constant Field Values

Constructor Detail

### LogPriority

    protected LogPriority(int level,
                          String strLevel,
                          int syslogEquivalent)

  Constructor for the LogPriority class.

Method Detail

### strToPriority

    public static org.apache.log4j.Priority strToPriority(String sArg)

  Converts a String into a Priority. This method is used internally in configuration files.

  If the argument is not one of "DEBUG", "INFO", ..., "EMERG" then the the default value `Priority.DEBUG` is returned by the call to the superclass' method.

### intToPriority

    public static org.apache.log4j.Priority intToPriority(int i)
                                                   throws IllegalArgumentException

  Converts an integer into a Priority.

  If the argument is not one of the static ints above, then the the default value `Priority.DEBUG_INT` is returned by the call to the superclass' method.

  Throws:
    `IllegalArgumentException`

### intToLevel

    public static org.apache.log4j.Level intToLevel(int i)
                                             throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD